Bug 118187 - RPM very slow
Summary: RPM very slow
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm   
(Show other bugs)
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-03-12 22:06 UTC by Need Real Name
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-13 19:22:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2004-03-12 22:06:24 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040124

Description of problem:
I have noticed that rpm seems very slow and uses a lot of cpu now. I
particulary noticed when uninstalling a old kernel with rpm -e times
in the order of several minutes. I did the same on a FC1 system and
found uninstall times to be much faster

[root@xeon root]#  time rpm -e kernel-smp-2.4.22-1.2132.nptl

real    0m7.205s
user    0m0.490s
sys     0m0.460s 

Version-Release number of selected component (if applicable):
rpm-4.3-0.19

How reproducible:
Always

Steps to Reproduce:
1.install or uninstall any package
2.long wait
3.
    

Actual Results:  rpm slow to complete transaction

Expected Results:  performance consistant with FC1

Additional info:

Comment 1 Need Real Name 2004-03-13 08:36:31 UTC
I just uninstalled a couple of older kernels with FC2 test1 and they
really are much slower

[root@paris root]# time rpm -e kernel-2.6.3-2.1.246
[2]+  Done                    up2date

real    1m59.040s
user    0m11.307s
sys     0m2.385s
[root@paris root]# time rpm -e kernel-2.6.3-2.1.253

real    0m39.944s
user    0m8.205s
sys     0m1.786s


Comment 2 Jeff Johnson 2004-03-13 19:22:37 UTC
You comparison is flawed. kernel-2.6.x is lots bigger, with
many more files, than kernel-2.4.x. It's the package, not
rpm, at fault.


Note You need to log in before you can comment on or make changes to this bug.